import unittest
import time

from Thing import Thing
from Participant import Participant

class ThingTest(unittest.TestCase):

    def test_client_msg(self):
        participant: Participant = Participant(ipAddress="127.0.0.1", port=7681)
        thing: Thing = Thing()
        milliseconds = time.time() * 1000
        
        thing.update(milliseconds)
        Thing.UpdateAll(milliseconds)
        start_time = milliseconds
        while milliseconds < start_time + 5000:
            milliseconds = time.time() * 1000
            participant.Update(milliseconds)

    def test_thing_msg(self):
        participant = Participant("127.0.0.1")
        thing = Thing()
        thing.name = "First thing"

        milliseconds = time.time() * 1000
        start_time = milliseconds
        while milliseconds < start_time + 5000:
            milliseconds = time.time() * 1000
            participant.Update(milliseconds)

    def test_something(self):
        self.assertEqual(1 + 1, 2)

    def test_another_thing(self):
        self.assertTrue(isinstance("hello", str))

    def test_yet_another_thing(self):
        self.assertFalse(3 > 5)

    def test_more_tests(self):
        self.assertIn(3, [1, 2, 3, 4])

    def test_even_more_tests(self):
        self.assertIsNone(None)

if __name__ == '__main__':
    unittest.main()